<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}

$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=1;

$codigo_usuario=$_POST["us"];

include("../conex.php");
include("../autoriza.php");

if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}		

$cantidad=$_POST["cantidad"];

for( $i=0; $i<$cantidad; $i++) 
	
	 {
	
if ($permiso[$i]==1)

	{
	$con=0;
	$sql_busca = "SELECT * FROM menu_autoriza WHERE id_menu_nombres =$id_codigo[$i] AND id_usuario= $codigo_usuario AND id_empresa=$id_empresa";
	$res_busca =  mysql_query($sql_busca, $enlace);	
		if(mysql_fetch_object($res_busca))	{$con=1;}
	
        if ($con==0)
		{
		$psql = "INSERT INTO menu_autoriza (id_menu_nombres, id_usuario, id_empresa, editar, crear, grabar, eliminar) VALUES ($id_codigo[$i], $codigo_usuario, $id_empresa, $editar[$i], $crear[$i], $grabar[$i], $eliminar[$i] )";
		
		$consulta = mysql_query($psql,$enlace);
		}
		else
		{
		
		
		$psql = "UPDATE menu_autoriza SET editar=".$editar[$i].", crear=".$crear[$i].", grabar=".$grabar[$i].", eliminar=".$eliminar[$i]." WHERE id_menu_nombres =$id_codigo[$i] AND id_usuario= $codigo_usuario AND id_empresa=$id_empresa";
		?>
	<script language="javascript" type="text/javascript">
alert ("sql <?=$psql;?>");
</script>
	<?
		
		$consulta = mysql_query($psql,$enlace);
		}
	}
else 
	{
   	$con=0;
	$sql_busca = "SELECT * FROM menu_autoriza WHERE id_menu_nombres =$id_codigo[$i] AND id_usuario=$codigo_usuario AND id_empresa=$id_empresa";

	$res_busca =  mysql_query($sql_busca, $enlace);		
	while (mysql_fetch_object ($res_busca))
	{$con+=1;}
	if ($con!=0){
	$psql = "DELETE FROM menu_autoriza WHERE id_menu_nombres =$id_codigo[$i] AND id_usuario=$codigo_usuario AND id_empresa=$id_empresa";
	$consulta = mysql_query($psql,$enlace);	}

   }
 }
?>

<script language="javascript" type="text/javascript">
alert ("Usuario <?=$id_usuario.'\nActualizado Con Exito!';?>");
parent.location.href = '';
</script>
